/**
 * @content:分包组件接口头文件
 * @time:2016-10-6
 * @author:Mr_zhu
 * @version: V1.0
 * @describe:
 * 1#2016-10-6#V1.0#首次生成
 */

#ifndef INCLUDE_SUBCONTRACTI_H_
#define INCLUDE_SUBCONTRACTI_H_

#include "../common/IUnknown.h"
#include "../common/Type.h"

class Device;
class Item;
class Packet;

interface SubContractI:IUnknown{
	/**
	 * 分包算法
	 */
	virtual bool isSubContract(
		Device* device,
		Packet* packet,
		Item* item,
		Packet** rpacket
	) = 0;

	virtual ~SubContractI(){}
};

#endif /* INCLUDE_SUBCONTRACTI_H_ */
