/**
 * @content:IUnknown接口定义头文件
 * @time:2016-8-23
 * @author:Mr_zhu
 * @version: V1.0
 * @describe:
 * 1#2016-8-23#V1.0#首次生成
 */

#ifndef INCLUDE_IUNKNOWN_H_
#define INCLUDE_IUNKNOWN_H_

#include "Type.h"

interface IUnknown{
	virtual HRESULT queryInterface(const IID& iid, void** ppv) = 0;	//----查询接口
	virtual ULONG addRef() = 0;	//----增加引用计数
	virtual ULONG release() = 0;	//----释放接口
	virtual ULONG getVersion() = 0;	//----获取组件版本

	virtual ~IUnknown(){};
};

#endif /* INCLUDE_IUNKNOWN_H_ */
