/**
 * @content:CreateI接口定义头文件
 * @time:2016-9-24
 * @author:Mr_zhu
 * @version: V1.0
 * @describe:
 * 1#2016-9-24#V1.0#首次生成
 */

#ifndef INCLUDE_ICREATE_H_
#define INCLUDE_ICREATE_H_

#include "../common/IUnknown.h"
#include "../common/Type.h"

interface CreateI:IUnknown{
	/**
	 * 根据so文件名创建接口
	 */
	virtual IUnknown* coCreateInstance(const char* nameofso) = 0;

	/**
	 * 根据CLSID创建接口
	 */
	virtual IUnknown* callCreateInstance(CLSID& clsid) = 0;

	/**
	 * 关闭接口句柄
	 */
	virtual void closeHandle() = 0;
};

#endif /* INCLUDE_ICREATE_H_ */
